@echo off

call common.bat

for /L %%c in (1,1,%numCon%) do mlstop -w mlsrv%%c
start /wait dbstop -y -c "eng=main;dbn=con1;uid=dba;pwd=sql"

for /L %%c in (1,1,%numCon%) do dberase -y con%%c\con%%c.db
for /L %%r in (1,1,%numRem%) do dberase -y rem%%r\rem%%r.db

for /L %%c in (1,1,%numCon%) do erase /Q /F con%%c
for /L %%r in (1,1,%numRem%) do erase /Q /F rem%%r

for /L %%c in (1,1,%numCon%) do rmdir con%%c
for /L %%r in (1,1,%numRem%) do rmdir rem%%r

attrib -r *.*
attrib +r *.bat
attrib +r *.sql
attrib +r readme.txt
echo y|del *.*
attrib -r *.bat
attrib -r *.sql
attrib -r readme.txt

for /L %%c in (1,1,%numCon%) do dbdsn -y -dr -ws %sa_dsn%%%c -c "eng=main;dbn=con%%c;uid=dba;pwd=sql;driver=%sa_drvname%"

for /L %%c in (1,1,%numCon%) do mkdir con%%c
for /L %%r in (1,1,%numRem%) do mkdir rem%%r

if not exist emptyDB mkdir emptyDB
if not exist emptyDB\emptyDB.db dbinit -p 4096 emptyDB\emptyDB.db -n

for /L %%c in (1,1,%numCon%) do copy emptyDB\emptyDB.db con%%c\con%%c.db
for /L %%c in (1,1,%numCon%) do dblog -t con%%c.log con%%c\con%%c.db
for /L %%r in (1,1,%numRem%) do copy emptyDB\emptyDB.db rem%%r\rem%%r.db
for /L %%r in (1,1,%numRem%) do dblog -t rem%%r.log rem%%r\rem%%r.db

dbspawn dbsrv10 -gd all -x none -n main

for /L %%c in (1,1,%numCon%) do dbisql -nogui -c "uid=dba;pwd=sql;eng=main;dbf=con%%c\con%%c.db;autostop=no" read "%SQLANY10%\mobilink\setup\syncsa.sql"
for /L %%c in (1,1,%numCon%) do dbisql -nogui -c "uid=dba;pwd=sql;eng=main;dbn=con%%c" read cons.sql %%c

for /L %%r in (1,1,%numRem%) do dbisql -nogui -c "uid=dba;pwd=sql;eng=main;dbf=rem%%r\rem%%r.db;autostop=no" read rem.sql %%r %numCon%
for /L %%c in (1,1,%numCon%) do for /L %%r in (1,1,%numRem%) do mluser -c "dsn=%sa_dsn%%%c" -u rem%%r -p sql

for /L %%c in (1,1,%numCon%) do start mlsrv10 -zs mlsrv%%c -v+ -ot mlsrv10_%%c.txt -c "dsn=%sa_dsn%%%c" -x tcpip(port=900%%c)
pause

for /L %%c in (1,1,%numCon%) do for /L %%r in (1,1,%numRem%) do start /wait dbmlsync -c "eng=main;dbn=rem%%r;uid=dba;pwd=sql" -n con%%c -mp sql -v+ -o rem%%r_p%%c.txt -k
